Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface DocumentRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DocumentRootImpl

    public interface DocumentRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Document Root'.

The following features are supported:

- `Mixed`
- `XMLNS Prefix Map`
- `XSI Schema Location`
- `Adhoc Query Request`
- `Adhoc Query Response`
- `Association Filter`
- `Association Query`
- `Association Query Result`
- `Auditable Event Filter`
- `Auditable Event Query`
- `Auditable Event Query Result`
- `Boolean Clause`
- `Classification Filter`
- `Classification Node Children Branch`
- `Classification Node Filter`
- `Classification Node Parent Branch`
- `Classification Node Query`
- `Classification Node Query Result`
- `Classification Query`
- `Classification Query Result`
- `Classification Scheme Filter`
- `Classification Scheme Query`
- `Classification Scheme Query Result`
- `Classified By Branch`
- `Clause`
- `Compound Clause`
- `Date Time Clause`
- `Description Branch`
- `Email Address Filter`
- `External Identifier Filter`
- `External Link Filter`
- `Extrinsic Object Filter`
- `Extrinsic Object Query`
- `Extrinsic Object Query Result`
- `Filter Query`
- `Filter Query Result`
- `Float Clause`
- `Get Content Request`
- `Get Content Response`
- `Int Clause`
- `Localized String Filter`
- `Name Branch`
- `Organization Children Branch`
- `Organization Filter`
- `Organization Parent Branch`
- `Organization Query`
- `Organization Query Result`
- `Postal Address Filter`
- `Rational Clause`
- `Registry Entry Filter`
- `Registry Entry Query`
- `Registry Entry Query Result`
- `Registry Object Filter`
- `Registry Object Query`
- `Registry Object Query Result`
- `Registry Package Filter`
- `Registry Package Query`
- `Registry Package Query Result`
- `Response Option`
- `Service Binding Branch`
- `Service Binding Filter`
- `Service Binding Target Branch`
- `Service Filter`
- `Service Query`
- `Service Query Result`
- `Simple Clause`
- `Slot Branch`
- `Slot Filter`
- `Slot Value Filter`
- `Source Association Branch`
- `Specification Link Branch`
- `Specification Link Filter`
- `Sql Query`
- `Sql Query Result`
- `String Clause`
- `Target Association Branch`
- `Telephone Number Filter`
- `User Branch`
- `User Filter`

See Also:
  `QueryPackage.getDocumentRoot()`

Method Summary
`AdhocQueryRequestType` | `getAdhocQueryRequest()` Returns the value of the 'Adhoc Query Request' containment reference.
`AdhocQueryResponseType` | `getAdhocQueryResponse()` Returns the value of the 'Adhoc Query Response' containment reference.
`FilterType` | `getAssociationFilter()` Returns the value of the 'Association Filter' containment reference.
`AssociationQueryType` | `getAssociationQuery()` Returns the value of the 'Association Query' containment reference.
`AssociationQueryResultType` | `getAssociationQueryResult()` Returns the value of the 'Association Query Result' containment reference.
`FilterType` | `getAuditableEventFilter()` Returns the value of the 'Auditable Event Filter' containment reference.
`AuditableEventQueryType` | `getAuditableEventQuery()` Returns the value of the 'Auditable Event Query' containment reference.
`AuditableEventQueryResultType` | `getAuditableEventQueryResult()` Returns the value of the 'Auditable Event Query Result' containment reference.
`BooleanClauseType` | `getBooleanClause()` Returns the value of the 'Boolean Clause' containment reference.
`FilterType` | `getClassificationFilter()` Returns the value of the 'Classification Filter' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeChildrenBranch()` Returns the value of the 'Classification Node Children Branch' containment reference.
`FilterType` | `getClassificationNodeFilter()` Returns the value of the 'Classification Node Filter' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeParentBranch()` Returns the value of the 'Classification Node Parent Branch' containment reference.
`ClassificationNodeQueryType` | `getClassificationNodeQuery()` Returns the value of the 'Classification Node Query' containment reference.
`ClassificationNodeQueryResultType` | `getClassificationNodeQueryResult()` Returns the value of the 'Classification Node Query Result' containment reference.
`ClassificationQueryType` | `getClassificationQuery()` Returns the value of the 'Classification Query' containment reference.
`ClassificationQueryResultType` | `getClassificationQueryResult()` Returns the value of the 'Classification Query Result' containment reference.
`FilterType` | `getClassificationSchemeFilter()` Returns the value of the 'Classification Scheme Filter' containment reference.
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()` Returns the value of the 'Classification Scheme Query' containment reference.
`ClassificationSchemeQueryResultType` | `getClassificationSchemeQueryResult()` Returns the value of the 'Classification Scheme Query Result' containment reference.
`ClassifiedByBranchType` | `getClassifiedByBranch()` Returns the value of the 'Classified By Branch' containment reference.
`ClauseType` | `getClause()` Returns the value of the 'Clause' containment reference.
`CompoundClauseType` | `getCompoundClause()` Returns the value of the 'Compound Clause' containment reference.
`java.lang.Object` | `getDateTimeClause()` Returns the value of the 'Date Time Clause' attribute.
`InternationalStringBranchType` | `getDescriptionBranch()` Returns the value of the 'Description Branch' containment reference.
`FilterType` | `getEmailAddressFilter()` Returns the value of the 'Email Address Filter' containment reference.
`FilterType` | `getExternalIdentifierFilter()` Returns the value of the 'External Identifier Filter' containment reference.
`FilterType` | `getExternalLinkFilter()` Returns the value of the 'External Link Filter' containment reference.
`FilterType` | `getExtrinsicObjectFilter()` Returns the value of the 'Extrinsic Object Filter' containment reference.
`ExtrinsicObjectQueryType` | `getExtrinsicObjectQuery()` Returns the value of the 'Extrinsic Object Query' containment reference.
`ExtrinsicObjectQueryResultType` | `getExtrinsicObjectQueryResult()` Returns the value of the 'Extrinsic Object Query Result' containment reference.
`FilterQueryType` | `getFilterQuery()` Returns the value of the 'Filter Query' containment reference.
`FilterQueryResultType` | `getFilterQueryResult()` Returns the value of the 'Filter Query Result' containment reference.
`float` | `getFloatClause()` Returns the value of the 'Float Clause' attribute.
`GetContentRequestType` | `getGetContentRequest()` Returns the value of the 'Get Content Request' containment reference.
`GetContentResponseType` | `getGetContentResponse()` Returns the value of the 'Get Content Response' containment reference.
`java.math.BigInteger` | `getIntClause()` Returns the value of the 'Int Clause' attribute.
`FilterType` | `getLocalizedStringFilter()` Returns the value of the 'Localized String Filter' containment reference.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`InternationalStringBranchType` | `getNameBranch()` Returns the value of the 'Name Branch' containment reference.
`OrganizationQueryType` | `getOrganizationChildrenBranch()` Returns the value of the 'Organization Children Branch' containment reference.
`FilterType` | `getOrganizationFilter()` Returns the value of the 'Organization Filter' containment reference.
`OrganizationQueryType` | `getOrganizationParentBranch()` Returns the value of the 'Organization Parent Branch' containment reference.
`OrganizationQueryType` | `getOrganizationQuery()` Returns the value of the 'Organization Query' containment reference.
`OrganizationQueryResultType` | `getOrganizationQueryResult()` Returns the value of the 'Organization Query Result' containment reference.
`FilterType` | `getPostalAddressFilter()` Returns the value of the 'Postal Address Filter' containment reference.
`RationalClauseType` | `getRationalClause()` Returns the value of the 'Rational Clause' containment reference.
`FilterType` | `getRegistryEntryFilter()` Returns the value of the 'Registry Entry Filter' containment reference.
`RegistryEntryQueryType` | `getRegistryEntryQuery()` Returns the value of the 'Registry Entry Query' containment reference.
`RegistryEntryQueryResultType` | `getRegistryEntryQueryResult()` Returns the value of the 'Registry Entry Query Result' containment reference.
`FilterType` | `getRegistryObjectFilter()` Returns the value of the 'Registry Object Filter' containment reference.
`RegistryObjectQueryType` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference.
`RegistryObjectListType` | `getRegistryObjectQueryResult()` Returns the value of the 'Registry Object Query Result' containment reference.
`FilterType` | `getRegistryPackageFilter()` Returns the value of the 'Registry Package Filter' containment reference.
`RegistryPackageQueryType` | `getRegistryPackageQuery()` Returns the value of the 'Registry Package Query' containment reference.
`RegistryPackageQueryResultType` | `getRegistryPackageQueryResult()` Returns the value of the 'Registry Package Query Result' containment reference.
`ResponseOptionType` | `getResponseOption()` Returns the value of the 'Response Option' containment reference.
`ServiceBindingBranchType` | `getServiceBindingBranch()` Returns the value of the 'Service Binding Branch' containment reference.
`FilterType` | `getServiceBindingFilter()` Returns the value of the 'Service Binding Filter' containment reference.
`ServiceBindingBranchType` | `getServiceBindingTargetBranch()` Returns the value of the 'Service Binding Target Branch' containment reference.
`FilterType` | `getServiceFilter()` Returns the value of the 'Service Filter' containment reference.
`ServiceQueryType` | `getServiceQuery()` Returns the value of the 'Service Query' containment reference.
`ServiceQueryResultType` | `getServiceQueryResult()` Returns the value of the 'Service Query Result' containment reference.
`SimpleClauseType` | `getSimpleClause()` Returns the value of the 'Simple Clause' containment reference.
`SlotBranchType` | `getSlotBranch()` Returns the value of the 'Slot Branch' containment reference.
`FilterType` | `getSlotFilter()` Returns the value of the 'Slot Filter' containment reference.
`FilterType` | `getSlotValueFilter()` Returns the value of the 'Slot Value Filter' containment reference.
`AssociationBranchType` | `getSourceAssociationBranch()` Returns the value of the 'Source Association Branch' containment reference.
`SpecificationLinkBranchType` | `getSpecificationLinkBranch()` Returns the value of the 'Specification Link Branch' containment reference.
`FilterType` | `getSpecificationLinkFilter()` Returns the value of the 'Specification Link Filter' containment reference.
`java.lang.String` | `getSqlQuery()` Returns the value of the 'Sql Query' attribute.
`RegistryObjectListType` | `getSqlQueryResult()` Returns the value of the 'Sql Query Result' containment reference.
`StringClauseType` | `getStringClause()` Returns the value of the 'String Clause' containment reference.
`AssociationBranchType` | `getTargetAssociationBranch()` Returns the value of the 'Target Association Branch' containment reference.
`FilterType` | `getTelephoneNumberFilter()` Returns the value of the 'Telephone Number Filter' containment reference.
`UserBranchType` | `getUserBranch()` Returns the value of the 'User Branch' containment reference.
`FilterType` | `getUserFilter()` Returns the value of the 'User Filter' containment reference.
`org.eclipse.emf.common.util.EMap` | `getXMLNSPrefixMap()` Returns the value of the 'XMLNS Prefix Map' map.
`org.eclipse.emf.common.util.EMap` | `getXSISchemaLocation()` Returns the value of the 'XSI Schema Location' map.
`void` | `setAdhocQueryRequest(AdhocQueryRequestType value)` Sets the value of the '`Adhoc Query Request`' containment reference.
`void` | `setAdhocQueryResponse(AdhocQueryResponseType value)` Sets the value of the '`Adhoc Query Response`' containment reference.
`void` | `setAssociationFilter(FilterType value)` Sets the value of the '`Association Filter`' containment reference.
`void` | `setAssociationQuery(AssociationQueryType value)` Sets the value of the '`Association Query`' containment reference.
`void` | `setAssociationQueryResult(AssociationQueryResultType value)` Sets the value of the '`Association Query Result`' containment reference.
`void` | `setAuditableEventFilter(FilterType value)` Sets the value of the '`Auditable Event Filter`' containment reference.
`void` | `setAuditableEventQuery(AuditableEventQueryType value)` Sets the value of the '`Auditable Event Query`' containment reference.
`void` | `setAuditableEventQueryResult(AuditableEventQueryResultType value)` Sets the value of the '`Auditable Event Query Result`' containment reference.
`void` | `setBooleanClause(BooleanClauseType value)` Sets the value of the '`Boolean Clause`' containment reference.
`void` | `setClassificationFilter(FilterType value)` Sets the value of the '`Classification Filter`' containment reference.
`void` | `setClassificationNodeChildrenBranch(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Children Branch`' containment reference.
`void` | `setClassificationNodeFilter(FilterType value)` Sets the value of the '`Classification Node Filter`' containment reference.
`void` | `setClassificationNodeParentBranch(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Parent Branch`' containment reference.
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType value)` Sets the value of the '`Classification Node Query`' containment reference.
`void` | `setClassificationNodeQueryResult(ClassificationNodeQueryResultType value)` Sets the value of the '`Classification Node Query Result`' containment reference.
`void` | `setClassificationQuery(ClassificationQueryType value)` Sets the value of the '`Classification Query`' containment reference.
`void` | `setClassificationQueryResult(ClassificationQueryResultType value)` Sets the value of the '`Classification Query Result`' containment reference.
`void` | `setClassificationSchemeFilter(FilterType value)` Sets the value of the '`Classification Scheme Filter`' containment reference.
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType value)` Sets the value of the '`Classification Scheme Query`' containment reference.
`void` | `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType value)` Sets the value of the '`Classification Scheme Query Result`' containment reference.
`void` | `setClassifiedByBranch(ClassifiedByBranchType value)` Sets the value of the '`Classified By Branch`' containment reference.
`void` | `setClause(ClauseType value)` Sets the value of the '`Clause`' containment reference.
`void` | `setCompoundClause(CompoundClauseType value)` Sets the value of the '`Compound Clause`' containment reference.
`void` | `setDateTimeClause(java.lang.Object value)` Sets the value of the '`Date Time Clause`' attribute.
`void` | `setDescriptionBranch(InternationalStringBranchType value)` Sets the value of the '`Description Branch`' containment reference.
`void` | `setEmailAddressFilter(FilterType value)` Sets the value of the '`Email Address Filter`' containment reference.
`void` | `setExternalIdentifierFilter(FilterType value)` Sets the value of the '`External Identifier Filter`' containment reference.
`void` | `setExternalLinkFilter(FilterType value)` Sets the value of the '`External Link Filter`' containment reference.
`void` | `setExtrinsicObjectFilter(FilterType value)` Sets the value of the '`Extrinsic Object Filter`' containment reference.
`void` | `setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)` Sets the value of the '`Extrinsic Object Query`' containment reference.
`void` | `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType value)` Sets the value of the '`Extrinsic Object Query Result`' containment reference.
`void` | `setFilterQuery(FilterQueryType value)` Sets the value of the '`Filter Query`' containment reference.
`void` | `setFilterQueryResult(FilterQueryResultType value)` Sets the value of the '`Filter Query Result`' containment reference.
`void` | `setFloatClause(float value)` Sets the value of the '`Float Clause`' attribute.
`void` | `setGetContentRequest(GetContentRequestType value)` Sets the value of the '`Get Content Request`' containment reference.
`void` | `setGetContentResponse(GetContentResponseType value)` Sets the value of the '`Get Content Response`' containment reference.
`void` | `setIntClause(java.math.BigInteger value)` Sets the value of the '`Int Clause`' attribute.
`void` | `setLocalizedStringFilter(FilterType value)` Sets the value of the '`Localized String Filter`' containment reference.
`void` | `setNameBranch(InternationalStringBranchType value)` Sets the value of the '`Name Branch`' containment reference.
`void` | `setOrganizationChildrenBranch(OrganizationQueryType value)` Sets the value of the '`Organization Children Branch`' containment reference.
`void` | `setOrganizationFilter(FilterType value)` Sets the value of the '`Organization Filter`' containment reference.
`void` | `setOrganizationParentBranch(OrganizationQueryType value)` Sets the value of the '`Organization Parent Branch`' containment reference.
`void` | `setOrganizationQuery(OrganizationQueryType value)` Sets the value of the '`Organization Query`' containment reference.
`void` | `setOrganizationQueryResult(OrganizationQueryResultType value)` Sets the value of the '`Organization Query Result`' containment reference.
`void` | `setPostalAddressFilter(FilterType value)` Sets the value of the '`Postal Address Filter`' containment reference.
`void` | `setRationalClause(RationalClauseType value)` Sets the value of the '`Rational Clause`' containment reference.
`void` | `setRegistryEntryFilter(FilterType value)` Sets the value of the '`Registry Entry Filter`' containment reference.
`void` | `setRegistryEntryQuery(RegistryEntryQueryType value)` Sets the value of the '`Registry Entry Query`' containment reference.
`void` | `setRegistryEntryQueryResult(RegistryEntryQueryResultType value)` Sets the value of the '`Registry Entry Query Result`' containment reference.
`void` | `setRegistryObjectFilter(FilterType value)` Sets the value of the '`Registry Object Filter`' containment reference.
`void` | `setRegistryObjectQuery(RegistryObjectQueryType value)` Sets the value of the '`Registry Object Query`' containment reference.
`void` | `setRegistryObjectQueryResult(RegistryObjectListType value)` Sets the value of the '`Registry Object Query Result`' containment reference.
`void` | `setRegistryPackageFilter(FilterType value)` Sets the value of the '`Registry Package Filter`' containment reference.
`void` | `setRegistryPackageQuery(RegistryPackageQueryType value)` Sets the value of the '`Registry Package Query`' containment reference.
`void` | `setRegistryPackageQueryResult(RegistryPackageQueryResultType value)` Sets the value of the '`Registry Package Query Result`' containment reference.
`void` | `setResponseOption(ResponseOptionType value)` Sets the value of the '`Response Option`' containment reference.
`void` | `setServiceBindingBranch(ServiceBindingBranchType value)` Sets the value of the '`Service Binding Branch`' containment reference.
`void` | `setServiceBindingFilter(FilterType value)` Sets the value of the '`Service Binding Filter`' containment reference.
`void` | `setServiceBindingTargetBranch(ServiceBindingBranchType value)` Sets the value of the '`Service Binding Target Branch`' containment reference.
`void` | `setServiceFilter(FilterType value)` Sets the value of the '`Service Filter`' containment reference.
`void` | `setServiceQuery(ServiceQueryType value)` Sets the value of the '`Service Query`' containment reference.
`void` | `setServiceQueryResult(ServiceQueryResultType value)` Sets the value of the '`Service Query Result`' containment reference.
`void` | `setSimpleClause(SimpleClauseType value)` Sets the value of the '`Simple Clause`' containment reference.
`void` | `setSlotBranch(SlotBranchType value)` Sets the value of the '`Slot Branch`' containment reference.
`void` | `setSlotFilter(FilterType value)` Sets the value of the '`Slot Filter`' containment reference.
`void` | `setSlotValueFilter(FilterType value)` Sets the value of the '`Slot Value Filter`' containment reference.
`void` | `setSourceAssociationBranch(AssociationBranchType value)` Sets the value of the '`Source Association Branch`' containment reference.
`void` | `setSpecificationLinkBranch(SpecificationLinkBranchType value)` Sets the value of the '`Specification Link Branch`' containment reference.
`void` | `setSpecificationLinkFilter(FilterType value)` Sets the value of the '`Specification Link Filter`' containment reference.
`void` | `setSqlQuery(java.lang.String value)` Sets the value of the '`Sql Query`' attribute.
`void` | `setSqlQueryResult(RegistryObjectListType value)` Sets the value of the '`Sql Query Result`' containment reference.
`void` | `setStringClause(StringClauseType value)` Sets the value of the '`String Clause`' containment reference.
`void` | `setTargetAssociationBranch(AssociationBranchType value)` Sets the value of the '`Target Association Branch`' containment reference.
`void` | `setTelephoneNumberFilter(FilterType value)` Sets the value of the '`Telephone Number Filter`' containment reference.
`void` | `setUserBranch(UserBranchType value)` Sets the value of the '`User Branch`' containment reference.
`void` | `setUserFilter(FilterType value)` Sets the value of the '`User Filter`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `QueryPackage.getDocumentRoot_Mixed()`

### getXMLNSPrefixMap

    org.eclipse.emf.common.util.EMap getXMLNSPrefixMap()

  Returns the value of the 'XMLNS Prefix Map' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XMLNS Prefix Map' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XMLNS Prefix Map' map.
  See Also:
    `QueryPackage.getDocumentRoot_XMLNSPrefixMap()`

### getXSISchemaLocation

    org.eclipse.emf.common.util.EMap getXSISchemaLocation()

  Returns the value of the 'XSI Schema Location' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'XSI Schema Location' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XSI Schema Location' map.
  See Also:
    `QueryPackage.getDocumentRoot_XSISchemaLocation()`

### getAdhocQueryRequest

    AdhocQueryRequestType getAdhocQueryRequest()

  Returns the value of the 'Adhoc Query Request' containment reference. An Ad hoc query request specifies a query string as defined by [RS] in the queryString attribute

  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `setAdhocQueryRequest(AdhocQueryRequestType)`, `QueryPackage.getDocumentRoot_AdhocQueryRequest()`

### setAdhocQueryRequest

    void setAdhocQueryRequest(AdhocQueryRequestType value)

  Sets the value of the '`Adhoc Query Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `getAdhocQueryRequest()`

### getAdhocQueryResponse

    AdhocQueryResponseType getAdhocQueryResponse()

  Returns the value of the 'Adhoc Query Response' containment reference. The response includes a RegistryObjectList which has zero or more RegistryObjects that match the query specified in AdhocQueryRequest.

  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `setAdhocQueryResponse(AdhocQueryResponseType)`, `QueryPackage.getDocumentRoot_AdhocQueryResponse()`

### setAdhocQueryResponse

    void setAdhocQueryResponse(AdhocQueryResponseType value)

  Sets the value of the '`Adhoc Query Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `getAdhocQueryResponse()`

### getAssociationFilter

    FilterType getAssociationFilter()

  Returns the value of the 'Association Filter' containment reference.

  If the meaning of the 'Association Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Filter' containment reference.
  See Also:
    `setAssociationFilter(FilterType)`, `QueryPackage.getDocumentRoot_AssociationFilter()`

### setAssociationFilter

    void setAssociationFilter(FilterType value)

  Sets the value of the '`Association Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Filter' containment reference.
  See Also:
    `getAssociationFilter()`

### getAssociationQuery

    AssociationQueryType getAssociationQuery()

  Returns the value of the 'Association Query' containment reference.

  If the meaning of the 'Association Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Query' containment reference.
  See Also:
    `setAssociationQuery(AssociationQueryType)`, `QueryPackage.getDocumentRoot_AssociationQuery()`

### setAssociationQuery

    void setAssociationQuery(AssociationQueryType value)

  Sets the value of the '`Association Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Query' containment reference.
  See Also:
    `getAssociationQuery()`

### getAssociationQueryResult

    AssociationQueryResultType getAssociationQueryResult()

  Returns the value of the 'Association Query Result' containment reference.

  If the meaning of the 'Association Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association Query Result' containment reference.
  See Also:
    `setAssociationQueryResult(AssociationQueryResultType)`, `QueryPackage.getDocumentRoot_AssociationQueryResult()`

### setAssociationQueryResult

    void setAssociationQueryResult(AssociationQueryResultType value)

  Sets the value of the '`Association Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Association Query Result' containment reference.
  See Also:
    `getAssociationQueryResult()`

### getAuditableEventFilter

    FilterType getAuditableEventFilter()

  Returns the value of the 'Auditable Event Filter' containment reference.

  If the meaning of the 'Auditable Event Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Filter' containment reference.
  See Also:
    `setAuditableEventFilter(FilterType)`, `QueryPackage.getDocumentRoot_AuditableEventFilter()`

### setAuditableEventFilter

    void setAuditableEventFilter(FilterType value)

  Sets the value of the '`Auditable Event Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Filter' containment reference.
  See Also:
    `getAuditableEventFilter()`

### getAuditableEventQuery

    AuditableEventQueryType getAuditableEventQuery()

  Returns the value of the 'Auditable Event Query' containment reference.

  If the meaning of the 'Auditable Event Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query' containment reference.
  See Also:
    `setAuditableEventQuery(AuditableEventQueryType)`, `QueryPackage.getDocumentRoot_AuditableEventQuery()`

### setAuditableEventQuery

    void setAuditableEventQuery(AuditableEventQueryType value)

  Sets the value of the '`Auditable Event Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Query' containment reference.
  See Also:
    `getAuditableEventQuery()`

### getAuditableEventQueryResult

    AuditableEventQueryResultType getAuditableEventQueryResult()

  Returns the value of the 'Auditable Event Query Result' containment reference.

  If the meaning of the 'Auditable Event Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `setAuditableEventQueryResult(AuditableEventQueryResultType)`, `QueryPackage.getDocumentRoot_AuditableEventQueryResult()`

### setAuditableEventQueryResult

    void setAuditableEventQueryResult(AuditableEventQueryResultType value)

  Sets the value of the '`Auditable Event Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Auditable Event Query Result' containment reference.
  See Also:
    `getAuditableEventQueryResult()`

### getBooleanClause

    BooleanClauseType getBooleanClause()

  Returns the value of the 'Boolean Clause' containment reference.

  If the meaning of the 'Boolean Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Clause' containment reference.
  See Also:
    `setBooleanClause(BooleanClauseType)`, `QueryPackage.getDocumentRoot_BooleanClause()`

### setBooleanClause

    void setBooleanClause(BooleanClauseType value)

  Sets the value of the '`Boolean Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Boolean Clause' containment reference.
  See Also:
    `getBooleanClause()`

### getClassificationFilter

    FilterType getClassificationFilter()

  Returns the value of the 'Classification Filter' containment reference.

  If the meaning of the 'Classification Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Filter' containment reference.
  See Also:
    `setClassificationFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationFilter()`

### setClassificationFilter

    void setClassificationFilter(FilterType value)

  Sets the value of the '`Classification Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Filter' containment reference.
  See Also:
    `getClassificationFilter()`

### getClassificationNodeChildrenBranch

    ClassificationNodeQueryType getClassificationNodeChildrenBranch()

  Returns the value of the 'Classification Node Children Branch' containment reference.

  If the meaning of the 'Classification Node Children Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Children Branch' containment reference.
  See Also:
    `setClassificationNodeChildrenBranch(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeChildrenBranch()`

### setClassificationNodeChildrenBranch

    void setClassificationNodeChildrenBranch(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Children Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Children Branch' containment reference.
  See Also:
    `getClassificationNodeChildrenBranch()`

### getClassificationNodeFilter

    FilterType getClassificationNodeFilter()

  Returns the value of the 'Classification Node Filter' containment reference.

  If the meaning of the 'Classification Node Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Filter' containment reference.
  See Also:
    `setClassificationNodeFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationNodeFilter()`

### setClassificationNodeFilter

    void setClassificationNodeFilter(FilterType value)

  Sets the value of the '`Classification Node Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Filter' containment reference.
  See Also:
    `getClassificationNodeFilter()`

### getClassificationNodeParentBranch

    ClassificationNodeQueryType getClassificationNodeParentBranch()

  Returns the value of the 'Classification Node Parent Branch' containment reference.

  If the meaning of the 'Classification Node Parent Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `setClassificationNodeParentBranch(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeParentBranch()`

### setClassificationNodeParentBranch

    void setClassificationNodeParentBranch(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Parent Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Parent Branch' containment reference.
  See Also:
    `getClassificationNodeParentBranch()`

### getClassificationNodeQuery

    ClassificationNodeQueryType getClassificationNodeQuery()

  Returns the value of the 'Classification Node Query' containment reference.

  If the meaning of the 'Classification Node Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQuery()`

### setClassificationNodeQuery

    void setClassificationNodeQuery(ClassificationNodeQueryType value)

  Sets the value of the '`Classification Node Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `getClassificationNodeQuery()`

### getClassificationNodeQueryResult

    ClassificationNodeQueryResultType getClassificationNodeQueryResult()

  Returns the value of the 'Classification Node Query Result' containment reference.

  If the meaning of the 'Classification Node Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node Query Result' containment reference.
  See Also:
    `setClassificationNodeQueryResult(ClassificationNodeQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationNodeQueryResult()`

### setClassificationNodeQueryResult

    void setClassificationNodeQueryResult(ClassificationNodeQueryResultType value)

  Sets the value of the '`Classification Node Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Node Query Result' containment reference.
  See Also:
    `getClassificationNodeQueryResult()`

### getClassificationQuery

    ClassificationQueryType getClassificationQuery()

  Returns the value of the 'Classification Query' containment reference.

  If the meaning of the 'Classification Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query' containment reference.
  See Also:
    `setClassificationQuery(ClassificationQueryType)`, `QueryPackage.getDocumentRoot_ClassificationQuery()`

### setClassificationQuery

    void setClassificationQuery(ClassificationQueryType value)

  Sets the value of the '`Classification Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Query' containment reference.
  See Also:
    `getClassificationQuery()`

### getClassificationQueryResult

    ClassificationQueryResultType getClassificationQueryResult()

  Returns the value of the 'Classification Query Result' containment reference.

  If the meaning of the 'Classification Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Query Result' containment reference.
  See Also:
    `setClassificationQueryResult(ClassificationQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationQueryResult()`

### setClassificationQueryResult

    void setClassificationQueryResult(ClassificationQueryResultType value)

  Sets the value of the '`Classification Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Query Result' containment reference.
  See Also:
    `getClassificationQueryResult()`

### getClassificationSchemeFilter

    FilterType getClassificationSchemeFilter()

  Returns the value of the 'Classification Scheme Filter' containment reference.

  If the meaning of the 'Classification Scheme Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `setClassificationSchemeFilter(FilterType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeFilter()`

### setClassificationSchemeFilter

    void setClassificationSchemeFilter(FilterType value)

  Sets the value of the '`Classification Scheme Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `getClassificationSchemeFilter()`

### getClassificationSchemeQuery

    ClassificationSchemeQueryType getClassificationSchemeQuery()

  Returns the value of the 'Classification Scheme Query' containment reference.

  If the meaning of the 'Classification Scheme Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQuery()`

### setClassificationSchemeQuery

    void setClassificationSchemeQuery(ClassificationSchemeQueryType value)

  Sets the value of the '`Classification Scheme Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `getClassificationSchemeQuery()`

### getClassificationSchemeQueryResult

    ClassificationSchemeQueryResultType getClassificationSchemeQueryResult()

  Returns the value of the 'Classification Scheme Query Result' containment reference.

  If the meaning of the 'Classification Scheme Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType)`, `QueryPackage.getDocumentRoot_ClassificationSchemeQueryResult()`

### setClassificationSchemeQueryResult

    void setClassificationSchemeQueryResult(ClassificationSchemeQueryResultType value)

  Sets the value of the '`Classification Scheme Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Query Result' containment reference.
  See Also:
    `getClassificationSchemeQueryResult()`

### getClassifiedByBranch

    ClassifiedByBranchType getClassifiedByBranch()

  Returns the value of the 'Classified By Branch' containment reference.

  If the meaning of the 'Classified By Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classified By Branch' containment reference.
  See Also:
    `setClassifiedByBranch(ClassifiedByBranchType)`, `QueryPackage.getDocumentRoot_ClassifiedByBranch()`

### setClassifiedByBranch

    void setClassifiedByBranch(ClassifiedByBranchType value)

  Sets the value of the '`Classified By Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Classified By Branch' containment reference.
  See Also:
    `getClassifiedByBranch()`

### getClause

    ClauseType getClause()

  Returns the value of the 'Clause' containment reference. The following lines define the XML syntax for Clause.

  Returns:
    the value of the 'Clause' containment reference.
  See Also:
    `setClause(ClauseType)`, `QueryPackage.getDocumentRoot_Clause()`

### setClause

    void setClause(ClauseType value)

  Sets the value of the '`Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Clause' containment reference.
  See Also:
    `getClause()`

### getCompoundClause

    CompoundClauseType getCompoundClause()

  Returns the value of the 'Compound Clause' containment reference.

  If the meaning of the 'Compound Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compound Clause' containment reference.
  See Also:
    `setCompoundClause(CompoundClauseType)`, `QueryPackage.getDocumentRoot_CompoundClause()`

### setCompoundClause

    void setCompoundClause(CompoundClauseType value)

  Sets the value of the '`Compound Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Compound Clause' containment reference.
  See Also:
    `getCompoundClause()`

### getDateTimeClause

    java.lang.Object getDateTimeClause()

  Returns the value of the 'Date Time Clause' attribute.

  If the meaning of the 'Date Time Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Date Time Clause' attribute.
  See Also:
    `setDateTimeClause(Object)`, `QueryPackage.getDocumentRoot_DateTimeClause()`

### setDateTimeClause

    void setDateTimeClause(java.lang.Object value)

  Sets the value of the '`Date Time Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Date Time Clause' attribute.
  See Also:
    `getDateTimeClause()`

### getDescriptionBranch

    InternationalStringBranchType getDescriptionBranch()

  Returns the value of the 'Description Branch' containment reference.

  If the meaning of the 'Description Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description Branch' containment reference.
  See Also:
    `setDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getDocumentRoot_DescriptionBranch()`

### setDescriptionBranch

    void setDescriptionBranch(InternationalStringBranchType value)

  Sets the value of the '`Description Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Description Branch' containment reference.
  See Also:
    `getDescriptionBranch()`

### getEmailAddressFilter

    FilterType getEmailAddressFilter()

  Returns the value of the 'Email Address Filter' containment reference.

  If the meaning of the 'Email Address Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email Address Filter' containment reference.
  See Also:
    `setEmailAddressFilter(FilterType)`, `QueryPackage.getDocumentRoot_EmailAddressFilter()`

### setEmailAddressFilter

    void setEmailAddressFilter(FilterType value)

  Sets the value of the '`Email Address Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Email Address Filter' containment reference.
  See Also:
    `getEmailAddressFilter()`

### getExternalIdentifierFilter

    FilterType getExternalIdentifierFilter()

  Returns the value of the 'External Identifier Filter' containment reference.

  If the meaning of the 'External Identifier Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier Filter' containment reference.
  See Also:
    `setExternalIdentifierFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExternalIdentifierFilter()`

### setExternalIdentifierFilter

    void setExternalIdentifierFilter(FilterType value)

  Sets the value of the '`External Identifier Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'External Identifier Filter' containment reference.
  See Also:
    `getExternalIdentifierFilter()`

### getExternalLinkFilter

    FilterType getExternalLinkFilter()

  Returns the value of the 'External Link Filter' containment reference.

  If the meaning of the 'External Link Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Link Filter' containment reference.
  See Also:
    `setExternalLinkFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExternalLinkFilter()`

### setExternalLinkFilter

    void setExternalLinkFilter(FilterType value)

  Sets the value of the '`External Link Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'External Link Filter' containment reference.
  See Also:
    `getExternalLinkFilter()`

### getExtrinsicObjectFilter

    FilterType getExtrinsicObjectFilter()

  Returns the value of the 'Extrinsic Object Filter' containment reference.

  If the meaning of the 'Extrinsic Object Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `setExtrinsicObjectFilter(FilterType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectFilter()`

### setExtrinsicObjectFilter

    void setExtrinsicObjectFilter(FilterType value)

  Sets the value of the '`Extrinsic Object Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `getExtrinsicObjectFilter()`

### getExtrinsicObjectQuery

    ExtrinsicObjectQueryType getExtrinsicObjectQuery()

  Returns the value of the 'Extrinsic Object Query' containment reference.

  If the meaning of the 'Extrinsic Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `setExtrinsicObjectQuery(ExtrinsicObjectQueryType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQuery()`

### setExtrinsicObjectQuery

    void setExtrinsicObjectQuery(ExtrinsicObjectQueryType value)

  Sets the value of the '`Extrinsic Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Query' containment reference.
  See Also:
    `getExtrinsicObjectQuery()`

### getExtrinsicObjectQueryResult

    ExtrinsicObjectQueryResultType getExtrinsicObjectQueryResult()

  Returns the value of the 'Extrinsic Object Query Result' containment reference.

  If the meaning of the 'Extrinsic Object Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType)`, `QueryPackage.getDocumentRoot_ExtrinsicObjectQueryResult()`

### setExtrinsicObjectQueryResult

    void setExtrinsicObjectQueryResult(ExtrinsicObjectQueryResultType value)

  Sets the value of the '`Extrinsic Object Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Query Result' containment reference.
  See Also:
    `getExtrinsicObjectQueryResult()`

### getFilterQuery

    FilterQueryType getFilterQuery()

  Returns the value of the 'Filter Query' containment reference.

  If the meaning of the 'Filter Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter Query' containment reference.
  See Also:
    `setFilterQuery(FilterQueryType)`, `QueryPackage.getDocumentRoot_FilterQuery()`

### setFilterQuery

    void setFilterQuery(FilterQueryType value)

  Sets the value of the '`Filter Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter Query' containment reference.
  See Also:
    `getFilterQuery()`

### getFilterQueryResult

    FilterQueryResultType getFilterQueryResult()

  Returns the value of the 'Filter Query Result' containment reference.

  If the meaning of the 'Filter Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter Query Result' containment reference.
  See Also:
    `setFilterQueryResult(FilterQueryResultType)`, `QueryPackage.getDocumentRoot_FilterQueryResult()`

### setFilterQueryResult

    void setFilterQueryResult(FilterQueryResultType value)

  Sets the value of the '`Filter Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter Query Result' containment reference.
  See Also:
    `getFilterQueryResult()`

### getFloatClause

    float getFloatClause()

  Returns the value of the 'Float Clause' attribute.

  If the meaning of the 'Float Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Float Clause' attribute.
  See Also:
    `setFloatClause(float)`, `QueryPackage.getDocumentRoot_FloatClause()`

### setFloatClause

    void setFloatClause(float value)

  Sets the value of the '`Float Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Float Clause' attribute.
  See Also:
    `getFloatClause()`

### getGetContentRequest

    GetContentRequestType getGetContentRequest()

  Returns the value of the 'Get Content Request' containment reference. Gets the actual content (not metadata) specified by the ObjectRefList

  Returns:
    the value of the 'Get Content Request' containment reference.
  See Also:
    `setGetContentRequest(GetContentRequestType)`, `QueryPackage.getDocumentRoot_GetContentRequest()`

### setGetContentRequest

    void setGetContentRequest(GetContentRequestType value)

  Sets the value of the '`Get Content Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Get Content Request' containment reference.
  See Also:
    `getGetContentRequest()`

### getGetContentResponse

    GetContentResponseType getGetContentResponse()

  Returns the value of the 'Get Content Response' containment reference. The GetContentResponse will have no sub-elements if there were no errors. The actual contents will be in the other payloads of the message.

  Returns:
    the value of the 'Get Content Response' containment reference.
  See Also:
    `setGetContentResponse(GetContentResponseType)`, `QueryPackage.getDocumentRoot_GetContentResponse()`

### setGetContentResponse

    void setGetContentResponse(GetContentResponseType value)

  Sets the value of the '`Get Content Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Get Content Response' containment reference.
  See Also:
    `getGetContentResponse()`

### getIntClause

    java.math.BigInteger getIntClause()

  Returns the value of the 'Int Clause' attribute.

  If the meaning of the 'Int Clause' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Int Clause' attribute.
  See Also:
    `setIntClause(BigInteger)`, `QueryPackage.getDocumentRoot_IntClause()`

### setIntClause

    void setIntClause(java.math.BigInteger value)

  Sets the value of the '`Int Clause`' attribute.

  Parameters:
    `value` - the new value of the 'Int Clause' attribute.
  See Also:
    `getIntClause()`

### getLocalizedStringFilter

    FilterType getLocalizedStringFilter()

  Returns the value of the 'Localized String Filter' containment reference.

  If the meaning of the 'Localized String Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Localized String Filter' containment reference.
  See Also:
    `setLocalizedStringFilter(FilterType)`, `QueryPackage.getDocumentRoot_LocalizedStringFilter()`

### setLocalizedStringFilter

    void setLocalizedStringFilter(FilterType value)

  Sets the value of the '`Localized String Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Localized String Filter' containment reference.
  See Also:
    `getLocalizedStringFilter()`

### getNameBranch

    InternationalStringBranchType getNameBranch()

  Returns the value of the 'Name Branch' containment reference.

  If the meaning of the 'Name Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name Branch' containment reference.
  See Also:
    `setNameBranch(InternationalStringBranchType)`, `QueryPackage.getDocumentRoot_NameBranch()`

### setNameBranch

    void setNameBranch(InternationalStringBranchType value)

  Sets the value of the '`Name Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Name Branch' containment reference.
  See Also:
    `getNameBranch()`

### getOrganizationChildrenBranch

    OrganizationQueryType getOrganizationChildrenBranch()

  Returns the value of the 'Organization Children Branch' containment reference.

  If the meaning of the 'Organization Children Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Children Branch' containment reference.
  See Also:
    `setOrganizationChildrenBranch(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationChildrenBranch()`

### setOrganizationChildrenBranch

    void setOrganizationChildrenBranch(OrganizationQueryType value)

  Sets the value of the '`Organization Children Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Children Branch' containment reference.
  See Also:
    `getOrganizationChildrenBranch()`

### getOrganizationFilter

    FilterType getOrganizationFilter()

  Returns the value of the 'Organization Filter' containment reference.

  If the meaning of the 'Organization Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Filter' containment reference.
  See Also:
    `setOrganizationFilter(FilterType)`, `QueryPackage.getDocumentRoot_OrganizationFilter()`

### setOrganizationFilter

    void setOrganizationFilter(FilterType value)

  Sets the value of the '`Organization Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Filter' containment reference.
  See Also:
    `getOrganizationFilter()`

### getOrganizationParentBranch

    OrganizationQueryType getOrganizationParentBranch()

  Returns the value of the 'Organization Parent Branch' containment reference.

  If the meaning of the 'Organization Parent Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Parent Branch' containment reference.
  See Also:
    `setOrganizationParentBranch(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationParentBranch()`

### setOrganizationParentBranch

    void setOrganizationParentBranch(OrganizationQueryType value)

  Sets the value of the '`Organization Parent Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Parent Branch' containment reference.
  See Also:
    `getOrganizationParentBranch()`

### getOrganizationQuery

    OrganizationQueryType getOrganizationQuery()

  Returns the value of the 'Organization Query' containment reference.

  If the meaning of the 'Organization Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getDocumentRoot_OrganizationQuery()`

### setOrganizationQuery

    void setOrganizationQuery(OrganizationQueryType value)

  Sets the value of the '`Organization Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query' containment reference.
  See Also:
    `getOrganizationQuery()`

### getOrganizationQueryResult

    OrganizationQueryResultType getOrganizationQueryResult()

  Returns the value of the 'Organization Query Result' containment reference.

  If the meaning of the 'Organization Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query Result' containment reference.
  See Also:
    `setOrganizationQueryResult(OrganizationQueryResultType)`, `QueryPackage.getDocumentRoot_OrganizationQueryResult()`

### setOrganizationQueryResult

    void setOrganizationQueryResult(OrganizationQueryResultType value)

  Sets the value of the '`Organization Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query Result' containment reference.
  See Also:
    `getOrganizationQueryResult()`

### getPostalAddressFilter

    FilterType getPostalAddressFilter()

  Returns the value of the 'Postal Address Filter' containment reference.

  If the meaning of the 'Postal Address Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Address Filter' containment reference.
  See Also:
    `setPostalAddressFilter(FilterType)`, `QueryPackage.getDocumentRoot_PostalAddressFilter()`

### setPostalAddressFilter

    void setPostalAddressFilter(FilterType value)

  Sets the value of the '`Postal Address Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Postal Address Filter' containment reference.
  See Also:
    `getPostalAddressFilter()`

### getRationalClause

    RationalClauseType getRationalClause()

  Returns the value of the 'Rational Clause' containment reference.

  If the meaning of the 'Rational Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rational Clause' containment reference.
  See Also:
    `setRationalClause(RationalClauseType)`, `QueryPackage.getDocumentRoot_RationalClause()`

### setRationalClause

    void setRationalClause(RationalClauseType value)

  Sets the value of the '`Rational Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Rational Clause' containment reference.
  See Also:
    `getRationalClause()`

### getRegistryEntryFilter

    FilterType getRegistryEntryFilter()

  Returns the value of the 'Registry Entry Filter' containment reference.

  If the meaning of the 'Registry Entry Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Filter' containment reference.
  See Also:
    `setRegistryEntryFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryEntryFilter()`

### setRegistryEntryFilter

    void setRegistryEntryFilter(FilterType value)

  Sets the value of the '`Registry Entry Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Filter' containment reference.
  See Also:
    `getRegistryEntryFilter()`

### getRegistryEntryQuery

    RegistryEntryQueryType getRegistryEntryQuery()

  Returns the value of the 'Registry Entry Query' containment reference.

  If the meaning of the 'Registry Entry Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getDocumentRoot_RegistryEntryQuery()`

### setRegistryEntryQuery

    void setRegistryEntryQuery(RegistryEntryQueryType value)

  Sets the value of the '`Registry Entry Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `getRegistryEntryQuery()`

### getRegistryEntryQueryResult

    RegistryEntryQueryResultType getRegistryEntryQueryResult()

  Returns the value of the 'Registry Entry Query Result' containment reference.

  If the meaning of the 'Registry Entry Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `setRegistryEntryQueryResult(RegistryEntryQueryResultType)`, `QueryPackage.getDocumentRoot_RegistryEntryQueryResult()`

### setRegistryEntryQueryResult

    void setRegistryEntryQueryResult(RegistryEntryQueryResultType value)

  Sets the value of the '`Registry Entry Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Entry Query Result' containment reference.
  See Also:
    `getRegistryEntryQueryResult()`

### getRegistryObjectFilter

    FilterType getRegistryObjectFilter()

  Returns the value of the 'Registry Object Filter' containment reference.

  If the meaning of the 'Registry Object Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Filter' containment reference.
  See Also:
    `setRegistryObjectFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryObjectFilter()`

### setRegistryObjectFilter

    void setRegistryObjectFilter(FilterType value)

  Sets the value of the '`Registry Object Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Filter' containment reference.
  See Also:
    `getRegistryObjectFilter()`

### getRegistryObjectQuery

    RegistryObjectQueryType getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference.

  If the meaning of the 'Registry Object Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getDocumentRoot_RegistryObjectQuery()`

### setRegistryObjectQuery

    void setRegistryObjectQuery(RegistryObjectQueryType value)

  Sets the value of the '`Registry Object Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `getRegistryObjectQuery()`

### getRegistryObjectQueryResult

    RegistryObjectListType getRegistryObjectQueryResult()

  Returns the value of the 'Registry Object Query Result' containment reference.

  If the meaning of the 'Registry Object Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query Result' containment reference.
  See Also:
    `setRegistryObjectQueryResult(RegistryObjectListType)`, `QueryPackage.getDocumentRoot_RegistryObjectQueryResult()`

### setRegistryObjectQueryResult

    void setRegistryObjectQueryResult(RegistryObjectListType value)

  Sets the value of the '`Registry Object Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object Query Result' containment reference.
  See Also:
    `getRegistryObjectQueryResult()`

### getRegistryPackageFilter

    FilterType getRegistryPackageFilter()

  Returns the value of the 'Registry Package Filter' containment reference.

  If the meaning of the 'Registry Package Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Filter' containment reference.
  See Also:
    `setRegistryPackageFilter(FilterType)`, `QueryPackage.getDocumentRoot_RegistryPackageFilter()`

### setRegistryPackageFilter

    void setRegistryPackageFilter(FilterType value)

  Sets the value of the '`Registry Package Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Filter' containment reference.
  See Also:
    `getRegistryPackageFilter()`

### getRegistryPackageQuery

    RegistryPackageQueryType getRegistryPackageQuery()

  Returns the value of the 'Registry Package Query' containment reference.

  If the meaning of the 'Registry Package Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Query' containment reference.
  See Also:
    `setRegistryPackageQuery(RegistryPackageQueryType)`, `QueryPackage.getDocumentRoot_RegistryPackageQuery()`

### setRegistryPackageQuery

    void setRegistryPackageQuery(RegistryPackageQueryType value)

  Sets the value of the '`Registry Package Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Query' containment reference.
  See Also:
    `getRegistryPackageQuery()`

### getRegistryPackageQueryResult

    RegistryPackageQueryResultType getRegistryPackageQueryResult()

  Returns the value of the 'Registry Package Query Result' containment reference.

  If the meaning of the 'Registry Package Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Query Result' containment reference.
  See Also:
    `setRegistryPackageQueryResult(RegistryPackageQueryResultType)`, `QueryPackage.getDocumentRoot_RegistryPackageQueryResult()`

### setRegistryPackageQueryResult

    void setRegistryPackageQueryResult(RegistryPackageQueryResultType value)

  Sets the value of the '`Registry Package Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Query Result' containment reference.
  See Also:
    `getRegistryPackageQueryResult()`

### getResponseOption

    ResponseOptionType getResponseOption()

  Returns the value of the 'Response Option' containment reference.

  If the meaning of the 'Response Option' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Response Option' containment reference.
  See Also:
    `setResponseOption(ResponseOptionType)`, `QueryPackage.getDocumentRoot_ResponseOption()`

### setResponseOption

    void setResponseOption(ResponseOptionType value)

  Sets the value of the '`Response Option`' containment reference.

  Parameters:
    `value` - the new value of the 'Response Option' containment reference.
  See Also:
    `getResponseOption()`

### getServiceBindingBranch

    ServiceBindingBranchType getServiceBindingBranch()

  Returns the value of the 'Service Binding Branch' containment reference.

  If the meaning of the 'Service Binding Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Branch' containment reference.
  See Also:
    `setServiceBindingBranch(ServiceBindingBranchType)`, `QueryPackage.getDocumentRoot_ServiceBindingBranch()`

### setServiceBindingBranch

    void setServiceBindingBranch(ServiceBindingBranchType value)

  Sets the value of the '`Service Binding Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Branch' containment reference.
  See Also:
    `getServiceBindingBranch()`

### getServiceBindingFilter

    FilterType getServiceBindingFilter()

  Returns the value of the 'Service Binding Filter' containment reference.

  If the meaning of the 'Service Binding Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Filter' containment reference.
  See Also:
    `setServiceBindingFilter(FilterType)`, `QueryPackage.getDocumentRoot_ServiceBindingFilter()`

### setServiceBindingFilter

    void setServiceBindingFilter(FilterType value)

  Sets the value of the '`Service Binding Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Filter' containment reference.
  See Also:
    `getServiceBindingFilter()`

### getServiceBindingTargetBranch

    ServiceBindingBranchType getServiceBindingTargetBranch()

  Returns the value of the 'Service Binding Target Branch' containment reference.

  If the meaning of the 'Service Binding Target Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `setServiceBindingTargetBranch(ServiceBindingBranchType)`, `QueryPackage.getDocumentRoot_ServiceBindingTargetBranch()`

### setServiceBindingTargetBranch

    void setServiceBindingTargetBranch(ServiceBindingBranchType value)

  Sets the value of the '`Service Binding Target Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Binding Target Branch' containment reference.
  See Also:
    `getServiceBindingTargetBranch()`

### getServiceFilter

    FilterType getServiceFilter()

  Returns the value of the 'Service Filter' containment reference.

  If the meaning of the 'Service Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Filter' containment reference.
  See Also:
    `setServiceFilter(FilterType)`, `QueryPackage.getDocumentRoot_ServiceFilter()`

### setServiceFilter

    void setServiceFilter(FilterType value)

  Sets the value of the '`Service Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Filter' containment reference.
  See Also:
    `getServiceFilter()`

### getServiceQuery

    ServiceQueryType getServiceQuery()

  Returns the value of the 'Service Query' containment reference.

  If the meaning of the 'Service Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `setServiceQuery(ServiceQueryType)`, `QueryPackage.getDocumentRoot_ServiceQuery()`

### setServiceQuery

    void setServiceQuery(ServiceQueryType value)

  Sets the value of the '`Service Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query' containment reference.
  See Also:
    `getServiceQuery()`

### getServiceQueryResult

    ServiceQueryResultType getServiceQueryResult()

  Returns the value of the 'Service Query Result' containment reference.

  If the meaning of the 'Service Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query Result' containment reference.
  See Also:
    `setServiceQueryResult(ServiceQueryResultType)`, `QueryPackage.getDocumentRoot_ServiceQueryResult()`

### setServiceQueryResult

    void setServiceQueryResult(ServiceQueryResultType value)

  Sets the value of the '`Service Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query Result' containment reference.
  See Also:
    `getServiceQueryResult()`

### getSimpleClause

    SimpleClauseType getSimpleClause()

  Returns the value of the 'Simple Clause' containment reference.

  If the meaning of the 'Simple Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Clause' containment reference.
  See Also:
    `setSimpleClause(SimpleClauseType)`, `QueryPackage.getDocumentRoot_SimpleClause()`

### setSimpleClause

    void setSimpleClause(SimpleClauseType value)

  Sets the value of the '`Simple Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Clause' containment reference.
  See Also:
    `getSimpleClause()`

### getSlotBranch

    SlotBranchType getSlotBranch()

  Returns the value of the 'Slot Branch' containment reference.

  If the meaning of the 'Slot Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Branch' containment reference.
  See Also:
    `setSlotBranch(SlotBranchType)`, `QueryPackage.getDocumentRoot_SlotBranch()`

### setSlotBranch

    void setSlotBranch(SlotBranchType value)

  Sets the value of the '`Slot Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Slot Branch' containment reference.
  See Also:
    `getSlotBranch()`

### getSlotFilter

    FilterType getSlotFilter()

  Returns the value of the 'Slot Filter' containment reference.

  If the meaning of the 'Slot Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Filter' containment reference.
  See Also:
    `setSlotFilter(FilterType)`, `QueryPackage.getDocumentRoot_SlotFilter()`

### setSlotFilter

    void setSlotFilter(FilterType value)

  Sets the value of the '`Slot Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Slot Filter' containment reference.
  See Also:
    `getSlotFilter()`

### getSlotValueFilter

    FilterType getSlotValueFilter()

  Returns the value of the 'Slot Value Filter' containment reference.

  If the meaning of the 'Slot Value Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Slot Value Filter' containment reference.
  See Also:
    `setSlotValueFilter(FilterType)`, `QueryPackage.getDocumentRoot_SlotValueFilter()`

### setSlotValueFilter

    void setSlotValueFilter(FilterType value)

  Sets the value of the '`Slot Value Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Slot Value Filter' containment reference.
  See Also:
    `getSlotValueFilter()`

### getSourceAssociationBranch

    AssociationBranchType getSourceAssociationBranch()

  Returns the value of the 'Source Association Branch' containment reference.

  If the meaning of the 'Source Association Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Association Branch' containment reference.
  See Also:
    `setSourceAssociationBranch(AssociationBranchType)`, `QueryPackage.getDocumentRoot_SourceAssociationBranch()`

### setSourceAssociationBranch

    void setSourceAssociationBranch(AssociationBranchType value)

  Sets the value of the '`Source Association Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Association Branch' containment reference.
  See Also:
    `getSourceAssociationBranch()`

### getSpecificationLinkBranch

    SpecificationLinkBranchType getSpecificationLinkBranch()

  Returns the value of the 'Specification Link Branch' containment reference.

  If the meaning of the 'Specification Link Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Branch' containment reference.
  See Also:
    `setSpecificationLinkBranch(SpecificationLinkBranchType)`, `QueryPackage.getDocumentRoot_SpecificationLinkBranch()`

### setSpecificationLinkBranch

    void setSpecificationLinkBranch(SpecificationLinkBranchType value)

  Sets the value of the '`Specification Link Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link Branch' containment reference.
  See Also:
    `getSpecificationLinkBranch()`

### getSpecificationLinkFilter

    FilterType getSpecificationLinkFilter()

  Returns the value of the 'Specification Link Filter' containment reference.

  If the meaning of the 'Specification Link Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Filter' containment reference.
  See Also:
    `setSpecificationLinkFilter(FilterType)`, `QueryPackage.getDocumentRoot_SpecificationLinkFilter()`

### setSpecificationLinkFilter

    void setSpecificationLinkFilter(FilterType value)

  Sets the value of the '`Specification Link Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Specification Link Filter' containment reference.
  See Also:
    `getSpecificationLinkFilter()`

### getSqlQuery

    java.lang.String getSqlQuery()

  Returns the value of the 'Sql Query' attribute.

  If the meaning of the 'Sql Query' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sql Query' attribute.
  See Also:
    `setSqlQuery(String)`, `QueryPackage.getDocumentRoot_SqlQuery()`

### setSqlQuery

    void setSqlQuery(java.lang.String value)

  Sets the value of the '`Sql Query`' attribute.

  Parameters:
    `value` - the new value of the 'Sql Query' attribute.
  See Also:
    `getSqlQuery()`

### getSqlQueryResult

    RegistryObjectListType getSqlQueryResult()

  Returns the value of the 'Sql Query Result' containment reference.

  If the meaning of the 'Sql Query Result' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sql Query Result' containment reference.
  See Also:
    `setSqlQueryResult(RegistryObjectListType)`, `QueryPackage.getDocumentRoot_SqlQueryResult()`

### setSqlQueryResult

    void setSqlQueryResult(RegistryObjectListType value)

  Sets the value of the '`Sql Query Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Sql Query Result' containment reference.
  See Also:
    `getSqlQueryResult()`

### getStringClause

    StringClauseType getStringClause()

  Returns the value of the 'String Clause' containment reference.

  If the meaning of the 'String Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Clause' containment reference.
  See Also:
    `setStringClause(StringClauseType)`, `QueryPackage.getDocumentRoot_StringClause()`

### setStringClause

    void setStringClause(StringClauseType value)

  Sets the value of the '`String Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'String Clause' containment reference.
  See Also:
    `getStringClause()`

### getTargetAssociationBranch

    AssociationBranchType getTargetAssociationBranch()

  Returns the value of the 'Target Association Branch' containment reference.

  If the meaning of the 'Target Association Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Association Branch' containment reference.
  See Also:
    `setTargetAssociationBranch(AssociationBranchType)`, `QueryPackage.getDocumentRoot_TargetAssociationBranch()`

### setTargetAssociationBranch

    void setTargetAssociationBranch(AssociationBranchType value)

  Sets the value of the '`Target Association Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Association Branch' containment reference.
  See Also:
    `getTargetAssociationBranch()`

### getTelephoneNumberFilter

    FilterType getTelephoneNumberFilter()

  Returns the value of the 'Telephone Number Filter' containment reference.

  If the meaning of the 'Telephone Number Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number Filter' containment reference.
  See Also:
    `setTelephoneNumberFilter(FilterType)`, `QueryPackage.getDocumentRoot_TelephoneNumberFilter()`

### setTelephoneNumberFilter

    void setTelephoneNumberFilter(FilterType value)

  Sets the value of the '`Telephone Number Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Telephone Number Filter' containment reference.
  See Also:
    `getTelephoneNumberFilter()`

### getUserBranch

    UserBranchType getUserBranch()

  Returns the value of the 'User Branch' containment reference.

  If the meaning of the 'User Branch' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Branch' containment reference.
  See Also:
    `setUserBranch(UserBranchType)`, `QueryPackage.getDocumentRoot_UserBranch()`

### setUserBranch

    void setUserBranch(UserBranchType value)

  Sets the value of the '`User Branch`' containment reference.

  Parameters:
    `value` - the new value of the 'User Branch' containment reference.
  See Also:
    `getUserBranch()`

### getUserFilter

    FilterType getUserFilter()

  Returns the value of the 'User Filter' containment reference.

  If the meaning of the 'User Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Filter' containment reference.
  See Also:
    `setUserFilter(FilterType)`, `QueryPackage.getDocumentRoot_UserFilter()`

### setUserFilter

    void setUserFilter(FilterType value)

  Sets the value of the '`User Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'User Filter' containment reference.
  See Also:
    `getUserFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD